ChangeSet 1.1356, 2003/06/09 16:04:04-07:00, greg@kroah.com

PCI: remove pci_present() from drivers/scsi/eata.c


 drivers/scsi/eata.c |    6 ------
 1 files changed, 6 deletions(-)


diff -Nru a/drivers/scsi/eata.c b/drivers/scsi/eata.c
--- a/drivers/scsi/eata.c	Tue Jun 10 11:19:19 2003
+++ b/drivers/scsi/eata.c	Tue Jun 10 11:19:19 2003
@@ -959,8 +959,6 @@
    unsigned int addr;
    struct pci_dev *dev = NULL;
 
-   if (!pci_present()) return NULL;
-
    while((dev = pci_find_class(PCI_CLASS_STORAGE_SCSI << 8, dev))) {
       addr = pci_resource_start (dev, 0);
 
@@ -983,8 +981,6 @@
 
    struct pci_dev *dev = NULL;
 
-   if (!pci_present()) return;
-
    while((dev = pci_find_class(PCI_CLASS_STORAGE_SCSI << 8, dev))) {
 
 #if defined(DEBUG_PCI_DETECT)
@@ -1409,8 +1405,6 @@
    unsigned int addr, k;
 
    struct pci_dev *dev = NULL;
-
-   if (!pci_present()) return;
 
    for (k = 0; k < MAX_PCI; k++) {
 
